#version 430 core
in vec3 Normal;
in vec2 vertexTexCoord;

layout(location = 0) out vec4 FragColor;
layout(location = 1) out vec4 ReflectionRefraction;

uniform sampler2D ourTexture;

uniform float reflection;
uniform float refraction;
uniform float transparency;

void main()
{
    FragColor = texture(ourTexture, vertexTexCoord);
    ReflectionRefraction = vec4(refraction,reflection,transparency,0.0f);
}