#version 430 core

in vec2 FragTextureCoords;

out vec4 FragColor;

uniform sampler2D image;
uniform sampler2D depthMap;
uniform sampler2D image2;
uniform sampler2D depthMap2;

void main()
{
    float depth = texture(depthMap, FragTextureCoords).r;
    float depth2 = texture(depthMap2, FragTextureCoords).r;
	FragColor = vec4(vec3(depth2 - depth),1.0);
}