#version 430 core
in vec3 Normal;
in vec2 vertexTexCoord;

layout(location = 0) out vec4 FragNormal;
layout(location = 1) out vec4 FragColor;

uniform sampler2D ourTexture;

void main()
{
	FragNormal = vec4(0.5*Normal+0.5, 1.0f);
	FragColor = texture(ourTexture, vertexTexCoord);
}